Bug 86091 - /usr/bin/id fails to retrieve name for group from NIS
/usr/bin/id fails to retrieve name for group from NIS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-13 15:40 EST by Lew Newby
Modified: 2007-04-18 12:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 18:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lew Newby 2003-03-13 15:40:59 EST
Description of problem:
/usr/bin/id returns "id: cannot find name for group ID 1001" when in fact a name
for group ID 1001 does exist in NIS maps and is returned properly on RH 7.X as
well as Phoebe (RH Beta)  


Version-Release number of selected component (if applicable):
sh-utils-2.0.12-3

How reproducible:
In our environment, initial time id is run in a login shell.

Steps to Reproduce:
1.execute /usr/bin/id from a Shell .rc file
2.
3.
    
Actual results:
id: cannot find name for group ID 1001

Expected results:
uid=22821(lnewby) gid=1001(cadence3) groups=1001(cadence3)

Additional info:
Comment 1 Ulrich Drepper 2003-04-23 14:23:10 EDT
I cannot reproduce this on RHL9 and nobody else reported this for RHL8.

$ id
uid=10003(testuser3) gid=10003(testuser3)
groups=10003(testuser3),30010(xgroup10),30008(xgroup8),20003(testgroupxx3),30028(xgroup28),30023(xgroup23),30018(xgroup18),30031(xgroup31),30013(xgroup13),30007(xgroup7),30036(xgroup36),30006(xgroup6),30039(xgroup39),30026(xgroup26),30034(xgroup34),30021(xgroup21),30005(xgroup5),30029(xgroup29),30016(xgroup16),30024(xgroup24),30011(xgroup11),30014(xgroup14),20010(testgroupx0x),30037(xgroup37),30004(xgroup4),30019(xgroup19),30032(xgroup32),30027(xgroup27),30040(xgroup40),30003(xgroup3),30022(xgroup22),30012(xgroup12)

All this data comes from my NIS test setup, it works just fine.

Try RHL9 and if you can still produce the problem let me know.
Comment 2 Lew Newby 2003-04-23 15:18:27 EDT
It appears to be in the yp client code. If the same key appears multiple times
in the NIS Map for  groups then it is being ignored. The id error was a symptom
of this. It has been fixed in RHL9 but this is not the answer to the problem.
Upgrading is not an option.

Here is what I have been seeing.

[root@pclnewby1 lnewby]# telnet localhost
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
Red Hat Linux release 8.0 (Psyche)
Kernel 2.4.18-26.8.0 on an i686
login: lnewby
Password:
Last login: Wed Apr 23 11:42:04 on :0
id: cannot find name for group ID 1001
[lnewby@pclnewby1 ~]$ ypmatch lnewby passwd
lnewby:XXXXXXXXX:22821:1001:Lew Newby Jr.:/hm/lnewby:/bin/csh
[lnewby@pclnewby1 ~]$ ypcat group |grep 1001
cadence1:*:1001:elsa,eroussel,feng,feras,fsilve,fuyong,fw_integ,fxf,galbiati,garyhall,garyw,gavinz,gblack,genel,georgel,gfquinn,ggelles,ghijsen,gjindal,glenn,gmaurer,gordonb,gqatsha,graemeb,gregt,gschulte,harley,harlinh,heji,hmarc,hzhang,integ,iyusim,jaimeh,janf,jasvin,jaswant,jdanis,jdrew,jds,jeannew,jeremya,jerryg,jflouret,jgraham,jhou,jiexm,jimw,jlord,jon,jphiol,jrp,jrussell,junolin,jwilkie,jwuwer,kangsoo,karinh,kbarlow,kbiswas,kelvin,ken,kenho,kenny,kennyf,kinl,komow,koslow,ksharma,kundert,kutina,danm,ctimmons,conoro,tunstall,davidjm,iellis,fblanchi,jgarden
cadence3:*:1001:jlam,sajafri,samin,santosh,sarg,sciener,scotts,shahram,sheila,shioli,sho,shuhua,sincere,slaha,smantik,sminonne,soni,spb,sri,sriske,ssaha,stephen,sudip,sunitha,swanson,swf,swhite,szhao,taco,taylorc,tff,thierrys,tiejun,tjl,tkao,tlockman,tmenguy,tonyh,trihy,tsarno,ushad,vanier,viorica,vivianm,volker,volpe,vraa,vtaylor,wanda,wang,wangyi,wglee,xiuya,ymallem,yogish,yohan,yren,zalcberg,zbriger,zfan,atillio,jeffl,irobin,fesophia,cahill,jon,sclare,elenaa,dennison,iang,mbaker,mcormack,me,mickp,nickf,maxc,jianxin,pdh,srikanth,kenho,fw_integ,neelima,jflouret,tare,vspitsyn,pavela,yakupov,juergen,lguibe,rkdennis,msadeghi,rojavee,robyn,prakar,stephan,rebeccac,vpuchin,gdevita,zhaag,ekilbane,cvivek,rshamel,ahaldar,atuls,yli,xzeng
cadence2:*:1001:lenoble,leov,lishao,lorenp,lou,lrdcm,luoni,mallon,manuelda,marco,markham,mattg,mauffet,mbeau,mberrada,mchabaud,mdh,medeiros,mheise,miguelcp,mikeh,mikew,mmoore,mochida,mohammad,moncoqut,mtian,mudit,musall,mxl,nabors,nambu,nancyc,nicho,nitters,noguchi,oconnorm,ofaruk,oleary,omedes,oprib,pascal,pawank,pearl,pevchin,pgee,phansson,phi,platon,prabal,putnam,qplace,rahulk,rajk,ramanan,ramojir,rdross,renuka,rez,rhaq,ricardo,rkc,rock,roesler,rogerb,ronf,rons,rpw,rreyes,rrv,rsl,rstevens,kturner,piyush,rdas,praveen,mahtouk,patjacob,peilin,rsymon,mingsu,lgarg
cadence:*:1001:nishant,aaron,abel,abhay,abhijeet,abidet,abuck,acasey,adeleke,ahaldar,ahmedh,ahussey,ajayjain,aji,alib,alpana,alper,alu,amanr,amiles,amoore,amsmerge,amylin,andyxs,aneeter,annacs,arikati,arnaudp,arramred,arunk,asd,attilo,atuls,baltazar,bcarlson,belhor,bgamble,bgordon,bing,bli,bobt,boese,bpierce,brian,brianr,brose,bseiler,buddy,byang,cbastian,cbeach,ccc,cchoi,cevans,charlie,chengyun,chertier,chieng,chihung,choprar,christs,chunter,cmoon,cnauts,colint,crowell,ctice,cuongvu,cwalsh,dace,dahe,danp,davidwm,deburen,denisec,dietert,dixon,dkm,donovan,dont,dpk,dsallard,dstewart,dtauer,dtripp,dunlop,dwerner,echarlet,edmunds,elaine,elim,elkind,szhao,bouamama,iyusim,tsapin,robertew,nikunjk,rvh,hjcho,myu,elton,areid
Comment 3 Ulrich Drepper 2003-04-23 18:58:01 EDT
You can try whether this change conincidently has been added to the last update
for glibc on RHL8.  If not and you don't have support contract or are using the
Advanced Server project you'll have to update.  The AS product gets quarterly
updates which include changes which are not security releated.  This is not
guaranteed for old releases.  I can refer you to our sales dept if your
requirements for a stable environment cannot be satisfied by the RHL product.
Comment 4 Ulrich Drepper 2003-04-23 18:58:54 EDT
It of yource Advanced Server product, not project.

Note You need to log in before you can comment on or make changes to this bug.